com.threerings.stats.data

## Class ByteStringSetStat

- java.lang.Object
- - com.threerings.stats.data.Stat
  - - com.threerings.stats.data.SetStat<String>
    - - com.threerings.stats.data.StringSetStat
      - - com.threerings.stats.data.ByteStringSetStat

All Implemented Interfaces:
  com.threerings.io.Streamable, com.threerings.presents.dobj.DSet.Entry, Cloneable

    public class ByteStringSetStat
    extends StringSetStat

A string set that maps its values to bytes.

### Nested Class Summary

### Nested classes/interfaces inherited from class com.threerings.stats.data.Stat

`Stat.AuxDataSource, Stat.Type`

### Nested classes/interfaces inherited from interface com.threerings.io.Streamable

`com.threerings.io.Streamable.Closure`

### Constructor Summary

Constructors
Constructor and Description
`ByteStringSetStat()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `persistTo(com.threerings.io.ObjectOutputStream out, Stat.AuxDataSource aux)` Serializes this instance for storage in the item database.
`void` `unpersistFrom(com.threerings.io.ObjectInputStream in, Stat.AuxDataSource aux)` Unserializes this item from data obtained from the item database.

### Methods inherited from class com.threerings.stats.data.StringSetStat

`add, contains, size, values, valueToString`

### Methods inherited from class com.threerings.stats.data.Stat

`clone, crc32, getCode, getKey, getModCount, getType, getType, initType, isModified, setModCount, setModified, toString`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### ByteStringSetStat

    public ByteStringSetStat()

### Method Detail

#### persistTo

    public void persistTo(com.threerings.io.ObjectOutputStream out,
                          Stat.AuxDataSource aux)
                   throws IOException

Description copied from class: `Stat`
Serializes this instance for storage in the item database. Derived classes must override this method to implement persistence.

Specified by:
  `persistTo` in class `Stat`
Throws:
  `IOException`

#### unpersistFrom

    public void unpersistFrom(com.threerings.io.ObjectInputStream in,
                              Stat.AuxDataSource aux)
                       throws IOException,
                              ClassNotFoundException

Description copied from class: `Stat`
Unserializes this item from data obtained from the item database. Derived classes must override this method to implement persistence.

Specified by:
  `unpersistFrom` in class `Stat`
Throws:
  `IOException`
  `ClassNotFoundException`